Skip to main content
`Ctrl`+`K`

# PCSPAISetMax

set the size of various working buffers in the `PCSPAI` preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCSPAISetMax(PC pc, PetscInt max1)

## Input Parameters

- pc - the preconditioner

- max1 - size (default is 5000)

## See Also

KSP: Linear System Solvers, `PCSPAI`, `PCSetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/spai/ispai.c

## Implementations

PCSPAISetMax_SPAI() in src/ksp/pc/impls/spai/ispai.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages